Index: trunk/language/ru_RU/admin.lang.php
===================================================================
--- trunk/language/ru_RU/admin.lang.php	(revision 8130)
+++ trunk/language/ru_RU/admin.lang.php	(revision 8255)
@@ -24,12 +24,12 @@
 $lang['%d association'] = '%d связь';
 $lang['%d associations'] = '%d связей';
-$lang['%d album including'] = '%d альбом включает';
-$lang['%d albums including'] = '%d альбомов включает';
+$lang['%d category including'] = '%d категория добавлена ';
+$lang['%d categories including'] = 'категорий добавлено: %d';
 $lang['%d physical'] = '%d реальная';
 $lang['%d physical'] = '%d реальных';
 $lang[' and %d virtual'] = ' и %d виртуальная';
 $lang[' and %d virtual'] = ' и %d виртуальных';
-$lang['%d album moved'] = '%d альбом перемещен';
-$lang['%d albums moved'] = '%d альбомы перемещены';
+$lang['%d category moved'] = '%d категория перемещена';
+$lang['%d categories moved'] = '%d категорий перемещено';
 $lang['%d group'] = '%d группа';
 $lang['%d groups'] = '%d групп';
@@ -58,12 +58,13 @@
 $lang['Add'] = 'Добавить';
 $lang['Allow user registration'] = 'Разрешить регистрацию пользователей';
-$lang['Apply to sub-albums'] = 'Применить к вложенным альбомам';
+$lang['Apply to subcategories'] = 'Применить к подкатегориям';
 $lang['Associated'] = 'Связаны';
+$lang['Association to categories'] = 'Связь с категориями';
 $lang['Batch management'] = 'Пакетная обработка';
 $lang['Caddie management'] = 'Управление корзиной';
 $lang['Caddie'] = 'Корзина';
-$lang['Albums authorized thanks to group associations'] = 'Альбомы разрешены благодаря  группе ассоциаций';
-$lang['Album manual order was saved'] = 'Ручной порядок альбомов был сохранен';
-$lang['Album elements associated to the following albums: %s'] = 'Альбом фотографий ассоциирован со следующими альбомами: %s';
+$lang['Categories authorized thanks to group associations'] = 'Категории, разрешенные благодаря связи с группой';
+$lang['Categories manual order was saved'] = 'Особый порядок категорий сохранен';
+$lang['Category elements associated to the following categories: %s'] = 'Фотографии категории, связаны со следующими категориями: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Проверка обновлений не удалась по неизвестным причинам.';
 $lang['Check for upgrade'] = 'Проверить обновления';
@@ -103,10 +104,10 @@
 $lang['Informations'] = 'Информация';
 $lang['Install'] = 'Установить';
-$lang['Link all album elements to a new album'] = 'Привязать все альбомы к новому альбому';
-$lang['Link all album elements to some existing albums'] = 'Привязать фотографии всех альбомов к существующему альбому';
-$lang['Linked albums'] = 'Связать альбомы';
+$lang['Link all category elements to a new category'] = 'Привязать все элементы этой категории к новой';
+$lang['Link all category elements to some existing categories'] = 'Привязать все элементы этой категории к одной из существующих';
+$lang['Linked categories'] = 'Привязанные категории';
 $lang['Lock gallery'] = 'Заблокировать галерею';
 $lang['Maintenance'] = 'Обслуживание';
-$lang['Edit album permissions'] = 'Управлять разрешением для альбомов';
+$lang['Manage permissions for a category'] = 'Управление разрешениями для категории';
 $lang['Manage permissions for group "%s"'] = 'Управление разрешениями для группы "%s"';
 $lang['Manage permissions for user "%s"'] = 'Управление разрешениями для пользователя "%s"';
@@ -114,24 +115,24 @@
 $lang['Members'] = 'Участники';
 $lang['Metadata synchronized from file'] = 'Метаданные синхронизированы с файлом';
-$lang['Move albums'] = 'Переместить альбом';
+$lang['Move categories'] = 'Перемещение категорий';
 $lang['Move'] = 'Перемещение';
 $lang['Name'] = 'Название';
 $lang['New name'] = 'Новое название';
-$lang['New parent album'] = 'Новый родительский альбом';
+$lang['New parent category'] = 'Новая родительская категория';
 $lang['New tag'] = 'Новое слово';
 $lang['Number of comments per page'] = 'Количество комментариев на странице';
 $lang['Number of rates'] = 'Количество оценок';
 $lang['Number of thumbnails to create'] = 'Количество создаваемых миниатюр';
-$lang['Only private albums are listed'] = 'Показаны только частные альбомы';
+$lang['Only private categories are listed'] = 'Показ только скрытых категорий';
 $lang['Operating system'] = 'Операционная система';
 $lang['Options'] = 'Опции';
-$lang['Other private albums'] = 'Другие частные альбомы';
+$lang['Other private categories'] = 'Доступ к приватным категориям';
 $lang['Page banner'] = 'Надпись на баннере';
-$lang['Parent album'] = 'Родительский альбом';
+$lang['Parent category'] = 'Родительская категория';
 $lang['Path'] = 'Путь';
 $lang['Permalink'] = 'Постоянная ссылка';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Постоянная ссылка %s была ранее использована для категории %s. Удалите ее сначала из истории постоянных ссылок';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Постоянная ссылка %s была ранее использована для категории %s. Удалите ее сначала из истории постоянных ссылок';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Имя постоянной ссылки должно состоять из a-z, A-Z, 0-9, "-" или "_". Оно не должно быть числовым или начинаться с числа с "-"';
-$lang['Permalink %s is already used by album %s'] = 'Постоянная ссылка %s уже используется альбомом %s';
+$lang['Permalink %s is already used by category %s'] = 'Постоянная ссылка %s уже используется для категории %s';
 $lang['Permalink history'] = 'История постоянных ссылок';
 $lang['Permalinks'] = 'Постоянные ссылки';
@@ -151,10 +152,10 @@
 $lang['Reject'] = 'Отклонить';
 $lang['Representant'] = 'Представитель';
-$lang['Representation of albums'] = 'Представитель альбомов';
+$lang['Representation of categories'] = 'Представление категорий';
 $lang['Representative'] = 'Представитель';
 $lang['Represents'] = 'Представляет';
 $lang['Save order'] = 'Сохранить порядок';
 $lang['Save to permalink history'] = 'Сохранить историю постоянных ссылок';
-$lang['Select at least one album'] = 'Выберите хотя бы один альбом';
+$lang['Select at least one category'] = 'Выберите хотя бы одну категорию';
 $lang['Select at least one picture'] = 'Выберите хотя бы одно изображение';
 $lang['Select at least one user'] = 'Выберите хотя бы одного пользователя';
@@ -163,5 +164,5 @@
 $lang['Status'] = 'Статус';
 $lang['Statistics'] = 'Статистика';
-$lang['Storage album'] = 'Альбом для хранения';
+$lang['Storage category'] = 'Категория хранения';
 $lang['Sum of rates'] = 'Суммарная оценка';
 $lang['Tag "%s" already exists'] = 'Слово "%s" уже есть';
@@ -178,27 +179,30 @@
 $lang['Validation'] = 'Проверка';
 $lang['Version'] = 'Версия';
-$lang['Virtual albums to move'] = 'Виртуальные альбомы для перемещения';
-$lang['Virtual album name'] = 'Название виртуального альбома';
+$lang['Virtual categories movement'] = 'Перемещение виртуальных категорий';
+$lang['Virtual categories to move'] = 'Виртуальные категории для перемещения';
+$lang['Virtual category name'] = 'Название виртуальной категории';
 $lang['Webmaster cannot be deleted'] = 'Нельзя удалить Вебмастера';
 $lang['You are running on development sources, no check possible.'] = 'Выполняется в режиме разработки, проверка невозможна.';
 $lang['You cannot delete your account'] = "Вы не можете удалить свой аккаунт";
-$lang['You cannot move an album in its own sub album'] = 'Вы не можете переместить альбом в его собственный внутренний альбом';
+$lang['You cannot move a category in its own sub category'] = 'Вы не можете переместить категорию в ее собственную подкатегорию';
 $lang['You need to confirm deletion'] = 'Вам нужно подтвердить удаление';
 $lang['add tags'] = 'добавить слова';
-$lang['Associate to album'] = 'ассоциация с альбомом';
+$lang['Adviser'] = 'Помощник';
+$lang['associate to category'] = 'привязать к категории';
 $lang['associate to group'] = 'привязать к группе';
 $lang['Authorized'] = 'Разрешено';
-$lang['Add a virtual album'] = 'Добавить виртуальный альбом';
-$lang['Authorize users to add comments on selected albums'] = 'Авторизованные пользователи могут добавлять комментарии к выбранным альбомам';
-$lang['The name of an album must not be empty'] = 'Название альбома не может быть пустым';
-$lang['Lock albums'] = 'Закрытые альбомы';
-$lang['Private'] = 'Частные альбомы';
-$lang['Public'] = 'Общедоступные альбомы';
+$lang['Add a virtual category'] = 'Добавить виртуальную категорию';
+$lang['Authorize users to add comments on selected categories'] = 'Позволить пользователям добавлять комментарии к выбранным категориям';
+$lang['The name of a category should not be empty'] = 'Название категории не должно быть пустым';
+$lang['Lock categories'] = 'Заблокировать категории';
+$lang['Private category'] = 'Приватная категория';
+$lang['Public category'] = 'Общедоступная категория';
 $lang['Find a new representant by random'] = 'Найти нового представителя случайным образом';
 $lang['Public / Private'] = 'Общедоступные / Приватные';
-$lang['Manage authorizations for selected albums'] = 'Управление авторизацией для выбранных альбомов';
-$lang['Select uploadable albums'] = 'Выбор альбомов, доступных для загрузки';
-$lang['Virtual album added'] = 'Виртуальный альбом добавлен';
-$lang['Virtual album deleted'] = 'Виртуальный альбом удален';
+$lang['Manage authorizations for selected categories'] = 'Управление авторизацией для выбранных категорий';
+$lang['Select uploadable categories'] = 'Выбор категорий в которые возможна загрузка';
+$lang['Virtual category added'] = 'Виртуальная категория добавлена';
+$lang['Virtual category deleted'] = 'Виртуальная категория удалена';
+$lang['Category'] = 'категория';
 $lang['Access type'] = 'Тип доступа';
 $lang['Comments'] = 'Комментарии';
@@ -210,9 +214,9 @@
 $lang['Configuration'] = 'Настройки';
 $lang['confirm'] = 'подтверждение';
-$lang['delete album'] = 'удалить альбом';
-$lang['Dissociate from album'] = 'отделить альбом';
+$lang['delete category'] = 'удалить категорию';
+$lang['dissociate from category'] = 'отвязать от категории';
 $lang['dissociate from group'] = 'отвязать от группы';
-$lang['edit album permissions'] = 'редактировать разрешения альбома';
-$lang['Album updated successfully'] = 'Информация об альбоме успешно добавлена.';
+$lang['edit category permissions'] = 'редактировать права для категории';
+$lang['Category informations updated successfully.'] = 'Информация о категории обновлена успешно.';
 $lang['Authorize upload'] = 'Разрешить загрузку';
 $lang['elements per page'] = 'миниатюр на странице';
@@ -231,11 +235,11 @@
 $lang['This name is already used by another group.'] = 'Это название уже используется для другой группы.';
 $lang['High definition'] = 'Большое разрешение';
-$lang['jump to album'] = 'быстро перейти в альбом';
+$lang['jump to category'] = 'перейти в категорию';
 $lang['jump to image'] = 'перейти к фотографии';
 $lang['leave'] = 'оставить';
 $lang['Lock'] = 'Блокировка';
 $lang['Locked'] = 'Заблокировано';
-$lang['manage album elements'] = 'Управление фотографиями альбома';
-$lang['manage sub-albums'] = 'Управление вложенными альбомами';
+$lang['manage category elements'] = 'управление фотографиями категории';
+$lang['manage sub-categories'] = 'управление подкатегориями';
 $lang['Manage'] = 'Управление';
 $lang['maximum height'] = 'максимальная высота';
@@ -347,13 +351,13 @@
 $lang['status'] = 'статус';
 $lang['Directory'] = 'Папка';
-$lang['sub-albums'] = 'вложенные альбомы';
+$lang['sub-categories'] = 'подкатегории';
 $lang['synchronize metadata'] = 'синхронизировать метаданные';
 $lang['target'] = 'изменить';
 $lang['Thumbnail'] = 'миниатюра';
 $lang['title'] = 'Название';
-$lang['Album list management'] = 'Управление альбомами';
+$lang['Categories management'] = 'Управление категориями';
 $lang['Piwigo configuration'] = 'Настройка PhpWebGallery';
 $lang['Piwigo administration'] = 'Администрирование PhpWebGallery';
-$lang['Edit album'] = 'Редактирование альбома';
+$lang['Edit a category'] = 'Редактирование категории';
 $lang['Group management'] = 'Управление группами';
 $lang['User list'] = 'Список пользователей';
@@ -383,10 +387,10 @@
 $lang['Unlocked'] = 'Разблокировать';
 $lang['unset'] = 'очистить';
-$lang['Update albums informations'] = 'Обновить информацию об альбоме';
+$lang['Update categories informations'] = 'обновить информацию о категориях';
 $lang['Update images informations'] = 'обновить информацию о фотографиях';
 $lang['Synchronize'] = 'Синхронизация';
-$lang['reduce to single existing albums'] = 'объединить в один существующий альбом';
+$lang['reduce to single existing categories'] = 'проверить только категорию';
 $lang['Choose an option'] = 'Выберите параметры';
-$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'показать максимум информации (добавленные и удаленные альбомы и элементы)';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'показать максимум информации (добавленные категории и фотографии, удаленные категории и элементы)';
 $lang['Piwigo version differs on the remote site'] = 'версия PhpWebGallery отличается на удаленном сайте';
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Версии create_listing_file.php на удаленном сайте и PhpWebGallery должны быть одинаковыми';
@@ -398,12 +402,12 @@
 $lang['File/directory read error'] = 'Ошибка чтения файла/папки';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Нет доступа к файлу или папке (возможно они отсутствуют или доступ к ним запрещен)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'тип фотографии требует миниатюры. Миниатюра должна находиться в подкатегории \'thumbnail\' директории альбома. Название миниатюры должно начинаться с определенного префикса и разрешение должно быть одним из списка:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'для этого типа файлов нужна миниатюра. Миниатюры должны находиться в подпапке "thumbnail" папки категории. Имя файла миниатюры должно начинаться с указанного в конфигурации префикса, расширение должно быть одним из нижеперечисленных:';
 $lang['missing thumbnail'] = 'отсутствуют миниатюры';
-$lang['albums deleted in the database'] = 'альбомы удалены из базы данных';
+$lang['categories deleted in the database'] = 'категорий удалено из базы данных';
 $lang['elements deleted in the database'] = 'элементов удалено из базы данных';
 $lang['images candidates for metadata synchronization'] = 'изображений для синхронизации метаданных';
 $lang['elements informations synchronized with files metadata'] = 'информация об элементах синхронизирована с метаданными файлов';
 $lang['errors during synchronization'] = 'ошибок синхронизации';
-$lang['albums added in the database'] = 'альбомы добавлены в базу данных';
+$lang['categories added in the database'] = 'категорий добавлено в базу данных';
 $lang['elements added in the database'] = 'элементов добавлено в базу данных';
 $lang['elements updated in the database'] = 'элементов обновлено в базе данных';
@@ -430,5 +434,5 @@
 $lang['user_status_normal'] = 'Пользователь';
 $lang['user_status_webmaster'] = 'Вебмастер';
-$lang['Virtual album'] = 'Виртуальный альбом';
+$lang['Virtual category'] = 'Виртуальная категория';
 $lang['Waiting'] = 'Ожидающие';
 $lang['default'] = 'по умолчанию';
@@ -437,5 +441,5 @@
 $lang['Not linked elements'] = 'Не привязанные элементы';
 $lang['Specials'] = 'Спец функции';
-$lang['Files with same name in more than one physical album'] = 'Одинаковые имена файлов в более, чем одной физическом альбоме';
+$lang['Files with same name in more than one physical category'] = 'Файлы с одинаковыми именами в разных папках';
 
 $lang['Overall'] = 'Вся';
@@ -449,5 +453,5 @@
 $lang['Element'] = '';
 $lang['Section'] = 'раздел';
-$lang['Tags'] = 'слова';
+$lang['Tags'] = 'Метки';
 $lang['Save page visits by guests'] = 'Сохранять страницы посещенные гостями';
 $lang['Save page visits by users'] = 'Сохранять страницы посещенные пользователями';
@@ -456,8 +460,8 @@
 $lang['Send an information email to group members'] = 'Отправить информационное письмо для группы';
 $lang['Group'] = 'Группа';
-$lang['[%s] Visit album %s'] = '[%s] Просмотреть альбом %s';
+$lang['[%s] Come to visit the category %s'] = '[%s] Приглашаю в категорию %s';
 $lang['Hello,'] = 'Привет,';
 $lang['See you soon.'] = 'До встречи.';
-$lang['Discover album:'] = 'Откройте для себя альбом:';
+$lang['Come to discover the category:'] = 'Приходите в категорию:';
 $lang['Mail content'] = 'Содержание';
 $lang['none'] = 'нет';
@@ -586,5 +590,5 @@
 $lang['Optimizations have been completed with some errors.'] = 'Оптимизации завершены с ошибками.';
 $lang['Modify information'] = 'Modify information';
-$lang['edit album'] = 'редактировать информацию об этом альбоме';
+$lang['edit category informations'] = 'редактировать категорию';
 $lang['nothing'] = 'ничего';
 $lang['overrides existing values with empty ones'] = 'замена существующих значений пустыми';
@@ -592,5 +596,5 @@
 $lang['Manage image ranks'] = 'Управление порядком изображений';
 $lang['Edit ranks'] = 'Изменить порядок';
-$lang['No element in this album'] = 'В этом альбоме нет элементов';
+$lang['No element in this category'] = 'Пустая категория';
 $lang['Images manual order was saved'] = 'Указанный порядок изображений сохранен';
 $lang['ranks'] = 'порядок';
@@ -635,16 +639,16 @@
 $lang['unknown'] = 'неизвестен';
 $lang['Upload Photos'] = 'Загрузить фотографии';
-$lang['Drop into album'] = 'Закинуть в альбом';
+$lang['Drop into category'] = 'Перенести в категорию';
 $lang['+ Add an upload box'] = '+ Добавить поле для загрузки';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Создайте "%s" каталог в корне установленной Вами Piwigo';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Дайте доступ для записи (chmod 777) к "%s" каталогу в корне установленной Вами Piwigo';
-$lang['existing album'] = 'существующий альбом';
-$lang['create a new album'] = 'создать новый альбом';
-$lang['Album name'] = 'Название альбома';
-$lang['Album "%s" has been added'] = 'Альбом \'%s\' был добавлен';
+$lang['existing category'] = 'существующая категория';
+$lang['create a new category'] = 'создать новую категория';
+$lang['Category name'] = 'Имя категории';
+$lang['Category "%s" has been added'] = 'Категория "%s" добавлена';
 $lang['Uploaded Photos'] = 'Загруженные фотографии';
 $lang['%d photos uploaded'] = '%d фотографий загружено';
 $lang['Privacy level set to "%s"'] = 'Установить уровень доступа "%s"';
-$lang['Album "%s" now contains %d photos'] = 'Альбом \'%s\' сейчас содержит %d фотографий';
+$lang['Category "%s" now contains %d photos'] = 'Категория "%s" содержит сейчас %d фотографий';
 $lang['Manage this set of %d photos'] = 'Редактировать этот набор из %d фотографий';
 $lang['Select files'] = 'Выбрать файлы';
@@ -672,7 +676,7 @@
 $lang['Add write access to the "%s" directory'] = 'Добавьте права записи для "%s" директории';
 $lang['Administration Home'] = 'Панель администрирования';
-$lang['Categories ordered alphanumerically'] = 'Альбомы отсортированы в алфавитном порядке';
-$lang['Categories ordered alphanumerically reverse'] = 'Альбомы отсортированы в обратном алфавитном порядке';
-$lang['Change Admin Colors'] = 'Изменить цвета административной панели';
+$lang['Categories ordered alphanumerically'] = 'Категории отсортированы в алфавитном порядке';
+$lang['Categories ordered alphanumerically reverse'] = 'Категории отсортированы в обратном алфавитном порядке';
+$lang['Change Admin Colors'] = 'Изменить цвет административной панели';
 $lang['Delete this theme'] = 'Удалить эту тему';
 $lang['Directory does not exist'] = 'Директория не существует';
@@ -680,5 +684,5 @@
 $lang['FTP + Synchronization'] = 'FTP + Синхронизация';
 $lang['Get Support on Piwigo Forum'] = 'Обратитесь за помощью на Piwigo форум';
-$lang['Help Me'] = 'Помогите';
+$lang['Help Me'] = 'Помощь';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Эта тема не может быть активизирована, поскольку родительская тема отсутствует: %s';
 $lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Эта тема не может быть удалена, потому что другие темы зависят от нее: %s';
@@ -692,5 +696,5 @@
 $lang['Switch to clear or dark colors for administration'] = 'Выбрать светлые или темные тона для панели администирования';
 $lang['Theme has been successfully installed'] = 'Тема была успешно установлена';
-$lang['Visit Gallery'] = 'Посмотрите галарею';
+$lang['Visit Gallery'] = 'Перейти на сайт';
 $lang['Visit Piwigo project website'] = 'посмотрите сайт проекта Piwigo ';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader заменяет <em>Piwigo Загрузчик</em>. С помощью pLoader Вы можете локально подготовить Ваши фотографии и загрузить их в Вашу фотогалерею Piwigo.';
@@ -747,5 +751,5 @@
 $lang['This theme was not designed to be directly activated'] = 'В этой теме не предусмотрена активация напрямую';
 $lang['Who can see this photo?'] = 'Кто может смотреть эту фотографию?';
-$lang['Pending Comments'] = 'Ожидающие комментарии';
+$lang['Pending Comments'] = 'Проверка комментариев';
 $lang['Menu Management'] = 'Меню';
 ?>
Index: trunk/language/ru_RU/common.lang.php
===================================================================
--- trunk/language/ru_RU/common.lang.php	(revision 8130)
+++ trunk/language/ru_RU/common.lang.php	(revision 8255)
@@ -31,6 +31,6 @@
 $lang['%.2f (rated %d times)'] = '%.2f (%d оценок)';
 $lang['%d Kb'] = '%d Kb';
-$lang['%d album updated'] = '%d альбом изменен';
-$lang['%d albums updated'] = '%d альбомы изменены';
+$lang['%d category updated'] = '%d категория дополнена';
+$lang['%d categories updated'] = 'категорий дополнено: %d';
 $lang['%d comment to validate'] = '%d комментарий на проверке';
 $lang['%d comments to validate'] = 'комментариев на проверке: %d';
@@ -54,6 +54,6 @@
 $lang['Author'] = 'Автор';
 $lang['Average rate'] = 'Средний балл';
-$lang['Albums'] = 'Альбомы';
-$lang['Album'] = 'Альбом';
+$lang['Categories'] = 'Галереи';
+$lang['Category'] = 'Галерея';
 $lang['Close this window'] = 'Закрыть это окно';
 $lang['Complete RSS feed (images, comments)'] = 'Полная RSS лента (фотографии, комментарии)';
@@ -118,5 +118,5 @@
 $lang['Tag'] = 'Слово';
 $lang['Tags'] = 'Ключевые слова';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'Канал RSS обеспечивает уведомление о новых событиях на сайте: новые изображения, обновленные альбомы, новые комментарии. Читается RSS читалкой.';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Уведомления RSS рассказывают о новом на этом сайте: новых фотографиях, обновленных галереях, новых комментариях. Для этого пользуйтесь RSS-читалкой.';
 $lang['Unknown feed identifier'] = 'Неизвестный идентификатор ленты';
 $lang['User comments'] = 'Комментарии посетителей';
@@ -130,8 +130,9 @@
 $lang['add this image to your favorites'] = 'Добавить эту фотографию в избранные';
 $lang['Administration'] = 'Администрирование';
+$lang['Adviser mode enabled'] = 'Включить подсказки';
 $lang['all'] = 'все';
 $lang['ascending'] = 'по возрастанию';
 $lang['author(s) : %s'] = 'автор(ы) : %s';
-$lang['Expand all albums'] = 'Раскрыть все альбомы';
+$lang['Expand all categories'] = 'Раскрыть все категории';
 $lang['posted after %s (%s)'] = 'опубликовано после %s (%s)';
 $lang['posted before %s (%s)'] = 'опубликовано до %s (%s)';
@@ -189,5 +190,5 @@
 $lang['Hello'] = 'Привет';
 $lang['available for administrators only'] = 'доступно только для администратора';
-$lang['shows images at the root of this album'] = 'показать все картинки от корня этого альбома';
+$lang['shows images at the root of this category'] = 'показать фотографии из корня категории';
 $lang['See last users comments'] = 'Просмотр последних пользовательский комментариев';
 $lang['customize the appareance of the gallery'] = 'настройка оформления';
@@ -195,7 +196,7 @@
 $lang['Home'] = 'Начало';
 $lang['Identification'] = 'Вход';
-$lang['in this album'] = 'в этом альбоме';
-$lang['in %d sub-album'] = 'в %d вложенном альбоме';
-$lang['in %d sub-albums'] = 'в %d вложенных альбомах';
+$lang['in this category'] = 'в этой категории';
+$lang['in %d sub-category'] = 'в %d подкатегории';
+$lang['in %d sub-categories'] = '(в %d подкатегориях)';
 $lang['included'] = 'включено';
 $lang['Invalid password!'] = 'Неверный пароль!';
@@ -211,5 +212,5 @@
 $lang['Maximum width must be a number superior to 50'] = 'Максимальная ширина изображения должна быть больше 50';
 $lang['display a calendar by creation date'] = 'показывает календарь по дате создания';
-$lang['display all elements in all sub-albums'] = 'показать все элементы во всех альбомах и всех вложенных альбомах';
+$lang['display all elements in all sub-categories'] = 'показывает все фотографии во всех подкатегориях';
 $lang['return to normal view mode'] = 'возвращение к нормальному режиму';
 $lang['display a calendar by posted date'] = 'показывает календарь по дате отправления';
@@ -249,6 +250,6 @@
 $lang['Random pictures'] = 'Случайные';
 $lang['display a set of random pictures'] = 'несколько случайных фотографий';
-$lang['Recent albums'] = 'Последние альбомы';
-$lang['display recently updated albums'] = 'показать недавно обновленные альбомы';
+$lang['Recent categories'] = 'Новые галереи';
+$lang['display recently updated categories'] = 'показать обновленные галереи';
 $lang['Recent period'] = 'Срок "новых"';
 $lang['Recent pictures'] = 'Новые фотографии';
@@ -266,5 +267,5 @@
 $lang['return to homepage'] = 'вернуться на главную';
 $lang['Search for Author'] = 'Поиск по автору';
-$lang['Search in albums'] = 'Поиск в альбомах';
+$lang['Search in Categories'] = 'Поиск в Категориях';
 $lang['Search by Date'] = 'Поиск по дате';
 $lang['Date'] = 'Начальная дата';
@@ -277,8 +278,8 @@
 $lang['Search Options'] = 'Варианты поиска';
 $lang['Search results'] = 'Результаты поиска';
-$lang['Search in sub-albums'] = 'Поиск во вложенных альбомах';
+$lang['Search in subcategories'] = 'и в подкатегориях';
 $lang['searched words : %s'] = 'искомые слова: %s';
 $lang['Contact'] = 'Контакты';
-$lang['set as album representative'] = 'установить как представителя альбома';
+$lang['set as category representative'] = 'сделать представителем категории';
 $lang['Show number of comments'] = 'Показывать количество комментариев';
 $lang['Show number of hits'] = 'Показывать количество просмотров';
@@ -322,5 +323,5 @@
 $lang['Admin: %s'] = 'Администратор: %s';
 $lang['Registration of %s'] = 'Регистрация %s';
-$lang['Album: %s'] = 'Альбом: %s';
+$lang['Category: %s'] = 'Категория: %s';
 $lang['Picture name: %s'] = 'Название: %s';
 $lang['Creation date: %s'] = 'Дата съемки: %s';
@@ -332,5 +333,5 @@
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and special user cannot use this method';
 $lang['a user use already this mail address'] = 'пользователь с таким адресом уже есть';
-$lang['Album results for'] = 'Альбом определен для';
+$lang['Category results for'] = 'Результат категорий для';
 $lang['Tag results for'] = 'Слова-результаты для';
 $lang['from %s to %s'] = 'от %s до %s';
Index: trunk/language/ru_RU/upgrade.lang.php
===================================================================
--- trunk/language/ru_RU/upgrade.lang.php	(revision 8130)
+++ trunk/language/ru_RU/upgrade.lang.php	(revision 8255)
@@ -34,5 +34,5 @@
 
 // Upgrade informations from upgrade_1.3.1.php
-$lang['All sub-albums of private albums become private'] = 'Все вложенные альбомы для приватного альбома тоже становятся приватными';
+$lang['All sub-categories of private categories become private'] = 'Все подкатегории приватных категорий будут приватными';
 $lang['User permissions and group permissions have been erased'] = 'Разрешения пользователей и групп были стерты';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Только префикс эскизов и адрес почты вебмастера были сохранены от предыдущей конфигурации';