Index: /extensions/LCAS/trunk/admin/LCAS_admin.php
===================================================================
--- /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 8256)
+++ /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 8257)
@@ -14,5 +14,4 @@
 //ini_set('display_errors', true);
 
-//include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 include_once(PHPWG_ROOT_PATH.'include/constants.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
@@ -34,9 +33,10 @@
 
 /* General configuration settings */
-
-/* Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them */
+		$_POST['LCAS_MailText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['LCAS_MailText'])));
+
 		$newconf_LCAS= array(
       $_POST['LCAS_Case_Sensitive'],
-      $_POST['LCAS_Accent_Sensitive']);
+      $_POST['LCAS_Accent_Sensitive'],
+      $_POST['LCAS_MailText']);
 
     $conf['LoginCaseAccentsSensitivity'] = serialize($newconf_LCAS);
@@ -51,5 +51,14 @@
 		pwg_query($query);
 
-		array_push($page['infos'], l10n('LCAS_save_config'));
+    // $conf['insensitive_case_logon'] have to be True for a full LCAS use
+    if ($conf['insensitive_case_logon'])
+    {
+		  array_push($page['infos'], l10n('LCAS_save_config'));
+    }
+    else
+    {
+      array_push($page['infos'], l10n('LCAS_save_config'));
+      array_push($page['errors'], l10n('LCAS_warning'));
+    }
   }
 
@@ -133,5 +142,5 @@
 			);
 		}
-    /* Plugin version inserted */
+    /* Plugin version insert */
     $template->assign(
       array(
@@ -165,5 +174,6 @@
 		'LCAS_Case_Sensitive_FALSE'      => $conf_LCAS[0]=='false'         ? 'checked="checked"' : '' ,
 		'LCAS_Accent_Sensitive_TRUE'     => $conf_LCAS[1]=='true'          ? 'checked="checked"' : '' ,
-		'LCAS_Accent_Sensitive_FALSE'    => $conf_LCAS[1]=='false'         ? 'checked="checked"' : ''
+		'LCAS_Accent_Sensitive_FALSE'    => $conf_LCAS[1]=='false'         ? 'checked="checked"' : '' ,
+    'LCAS_MAILTEXT'                  => $conf_LCAS[2]
     )
   );
Index: /extensions/LCAS/trunk/admin/template/global.tpl
===================================================================
--- /extensions/LCAS/trunk/admin/template/global.tpl	(revision 8256)
+++ /extensions/LCAS/trunk/admin/template/global.tpl	(revision 8257)
@@ -82,4 +82,12 @@
         	</li>
 
+          <li>
+            <label class="cluetip" title="{'LCAS_Email_Customization'|translate}|{'LCAS_Email_Customization_d'|translate}">
+              {'LCAS_MailText'|@translate}
+            </label>
+            <br><br>
+              <textarea class="LCAS_Mailtextfields" name="LCAS_MailText" id="LCAS_MailText" rows="10" {$TAG_INPUT_ENABLED}>{$LCAS_MAILTEXT}</textarea>
+            <br><br>
+          </li>
         </ul>
       </fieldset>
@@ -89,4 +97,32 @@
 
 </form>
+
+<br><br>
+<div id="currentPWGConfig" class="instructionBlock" >
+
+  <div id="currentPWGConfig_header" class="instructionBlockHeader">
+    <span class="cluetip" title="{'LCAS_currentPWGConfigTitle'|translate}|{'LCAS_currentPWGConfigTitle_d'|translate}">
+      {'LCAS_currentPWGConfigHeader'|@translate}
+    </span>
+  </div>
+
+  <div id="Config2" class="instructionBlockContent" style="display:block">
+    <fieldset>
+      <ul>
+        <li>
+          <label class="cluetip" title="{'LCAS_currentPWGConfig'|translate}|{'LCAS_currentPWGConfig_d'|translate}">
+            $conf['insensitive_case_logon'] = 
+{if $PWG_insensitive_case_logon == 'true'}
+	<span style="color: green;">{$PWG_insensitive_case_logon}</span>;
+{else}
+	<span style="color: red;">{$PWG_insensitive_case_logon}</span>;
+{/if}
+          </label>
+          <br><br>
+        </li>
+      </ul>
+    </fieldset>
+  </div>
+</div>
 
 <br><br>
@@ -161,32 +197,19 @@
   </div>
 </div>
+
 <br><br>
-<div id="currentPWGConfig" class="instructionBlock" >
-
-  <div id="currentPWGConfig_header" class="instructionBlockHeader">
-    <span class="cluetip" title="{'LCAS_currentPWGConfigTitle'|translate}|{'LCAS_currentPWGConfigTitle_d'|translate}">
-      {'LCAS_currentPWGConfigHeader'|@translate}
+
+<div id="PluginSupport" class="instructionBlock" >
+  <div id="PluginSupport_header" class="instructionBlockHeader">
+    <span>
+      {'LCAS_PluginSupport'|@translate}
     </span>
   </div>
-
   <div id="Config2" class="instructionBlockContent" style="display:block">
     <fieldset>
-      <ul>
-        <li>
-          <label class="cluetip" title="{'LCAS_currentPWGConfig'|translate}|{'LCAS_currentPWGConfig_d'|translate}">
-            $conf['insensitive_case_logon'] = 
-{if $PWG_insensitive_case_logon == 'true'}
-	<span style="color: green;">{$PWG_insensitive_case_logon}</span>;
-{else}
-	<span style="color: red;">{$PWG_insensitive_case_logon}</span>;
-{/if}
-          </label>
-          <br><br>
-        </li>
-      </ul>
+      {'LCAS_Support_txt'|@translate}
     </fieldset>
   </div>
 </div>
-
 
 <script type="text/javascript">
Index: /extensions/LCAS/trunk/admin/template/lcas.css
===================================================================
--- /extensions/LCAS/trunk/admin/template/lcas.css	(revision 8256)
+++ /extensions/LCAS/trunk/admin/template/lcas.css	(revision 8257)
@@ -16,4 +16,9 @@
     text-align: center;
     width: 98%;
+}
+
+textarea.LCAS_Mailtextfields
+{
+  width: 70%;
 }
 
Index: /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 8256)
+++ /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 8257)
@@ -11,27 +11,29 @@
 ';
 /*TODO*/$lang['LCAS_caseSensitiveTitle'] = 'La casse';
-/*TODO*/$lang['LCAS_caseSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des majuscules et minuscules dans le nom de l\'utilisateur.<br/>
-<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à la casse !</b><br/>
+/*TODO*/$lang['LCAS_caseSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des majuscules et minuscules dans le nom de l\'utilisateur.<br>
+<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à la casse !</b><br>
 ';
 
 /*TODO*/$lang['LCAS_accentSensitiveTitle'] = 'Les accents';
-/*TODO*/$lang['LCAS_accentSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des accents dans le nom de l\'utilisateur.<br/>
-<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br/>
-C\'est Béatrice qui va être contente !<br/>
+/*TODO*/$lang['LCAS_accentSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des accents dans le nom de l\'utilisateur.<br>
+<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br>
+C\'est Béatrice qui va être contente !<br>
 ';
 
 /*TODO*/$lang['LCAS_currentPWGConfigTitle'] = 'Option de Piwigo concerant la casse';
-/*TODO*/$lang['LCAS_currentPWGConfigTitle_d'] = 'Cette option est modifiable depuis votre fichier de configuration local.<br/>
+/*TODO*/$lang['LCAS_currentPWGConfigTitle_d'] = 'Cette option est modifiable depuis votre fichier de configuration local.<br>
 ';
 
 /*TODO*/$lang['LCAS_currentPWGConfig'] = '$conf[\'insensitive_case_logon\']';
-/*TODO*/$lang['LCAS_currentPWGConfig_d'] = 'Lorsque la valeur vaut <b style=&quot;color: green;&quot;>true</b>, un utilisateur ne peut pas s\'enregistrer avec un identifiant dont seule la casse serait différente d\'un utilisateur existant..<br/>
+/*TODO*/$lang['LCAS_currentPWGConfig_d'] = 'Lorsque la valeur vaut <b style=&quot;color: green;&quot;>true</b>, un utilisateur ne peut pas s\'enregistrer avec un identifiant dont seule la casse serait différente d\'un utilisateur existant..<br>
 ';
 
 
 /*TODO*/$lang['LCAS_userlistTitle'] = 'Vérification des utilisateurs';
-/*TODO*/$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modififés afin d\'activer cette option.<br/><br/>
-Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br/>
+/*TODO*/$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modififés afin d\'activer cette option.<br><br>
+Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br>
 Vous devez modifier l\'un des deux utilisateurs et éventuellement le prévenir avec le lien pour envoyer un email.';
 
+/*TODO*/$lang['LCAS_Email_Customization'] = 'Personnalisation de la notification par email';
+/*TODO*/$lang['LCAS_Email_Customization_d'] = 'Si vous souhaitez utiliser la notification par email des utilisateurs que vous avez renommés dans le tableau de vérification, vous pouvez personnaliser le texte à envoyer. Utiliser les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
 ?>
Index: /extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8256)
+++ /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8257)
@@ -34,6 +34,4 @@
 
 
-$lang['LCAS_Err_Userlist_Settings'] = 'This page is available only if at least one sensitivity option is enabled.';
-
 $lang['LCAS_Info_userlist_username_renamed'] = 'The user name has been updated.';
 $lang['LCAS_Err_Userlist_Empty_New_Username'] = 'The user name can\'t be blank.';
@@ -49,8 +47,14 @@
 
 
-$lang['LCAS_save_config'] = 'Settings saved<br/>Please check any duplicate users in the following table.';
+$lang['LCAS_save_config'] = 'Settings saved<br>Please check any duplicate users in the following table.';
 
 $lang['submit'] = 'Save settings';
 
 $lang['LCAS_accent_error'] = '<br>Usernames are accent insensitive too (e = é = è = ê)!';
+
+$lang['LCAS_warning'] = 'The Piwigo\'s case sensitivity on registration is not activated! Please insert or change the option "$conf[\'insensitive_case_logon\'] = true;" in your local configuration file via LocalFiles Editor plugin.';
+
+$lang['LCAS_MailText'] = 'Customizing email notification';
+
+$lang['LCAS_PluginSupport'] = 'Official plugin support';
 ?>
Index: /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php	(revision 8256)
+++ /extensions/LCAS/trunk/language/fr_FR/help/plugin.lang.php	(revision 8257)
@@ -2,33 +2,38 @@
 global $lang;
 
-$lang['LCAS_sensitiveTitle'] = 'Sensibilité à l\'enregistrement et la connexion';
+$lang['LCAS_sensitiveTitle'] = 'Sensibilités à l\'enregistrement et l\'identification';
 $lang['LCAS_sensitiveTitle_d'] = '
+Piwigo permet de rendre insensible à la casse mais ne gère pas l\'insensibilité aux accents, et ceci uniquement à l\'inscription des nouveaux utilisateurs. LCAS apporte une gestion plus approfondie des insensibilités à l\'inscription et l\'identification des utilisateurs. Les options suivantes sont proposées:<br><br>
 - Noms d\'utilisateur sensible ou non à la casse<br>
-- Noms d\'utilisateur ensible ou non aux accents<br>
+- Noms d\'utilisateur sensible ou non aux accents<br>
+- Personnalisation du texte de l\'email de notification<br><br>
+<b style=&quot;color: red;&quot;>Important : L\'option de Piwigo &quot;$conf[\'insensitive_case_logon\']&quot; doit être activée pour un fonctionnement optimal.</b>
 ';
 $lang['LCAS_caseSensitiveTitle'] = 'La casse';
-$lang['LCAS_caseSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des majuscules et minuscules dans le nom de l\'utilisateur.<br/>
-<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à la casse !</b><br/>
+$lang['LCAS_caseSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des majuscules et minuscules dans le nom de l\'utilisateur.<br>
+<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à la casse !</b><br>
 ';
 
 $lang['LCAS_accentSensitiveTitle'] = 'Les accents';
-$lang['LCAS_accentSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des accents dans le nom de l\'utilisateur.<br/>
-<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br/>
-C\'est Béatrice qui va être contente !<br/>
+$lang['LCAS_accentSensitiveTitle_d'] = 'Cette option permet de s\'authentifier sans tenir compte des accents dans le nom de l\'utilisateur.<br>
+<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br>
+C\'est Béatrice qui va être contente !<br>
 ';
 
 $lang['LCAS_currentPWGConfigTitle'] = 'Option de Piwigo concernant la casse';
-$lang['LCAS_currentPWGConfigTitle_d'] = 'Cette option est modifiable depuis votre fichier de configuration local.<br/>
+$lang['LCAS_currentPWGConfigTitle_d'] = 'Cette option est modifiable depuis votre fichier de configuration local.<br>
 ';
 
 $lang['LCAS_currentPWGConfig'] = '$conf[\'insensitive_case_logon\']';
-$lang['LCAS_currentPWGConfig_d'] = 'Lorsque la valeur vaut <b style=&quot;color: green;&quot;>true</b>, un utilisateur ne peut pas s\'enregistrer avec un identifiant dont seule la casse serait différente d\'un utilisateur existant.<br/>
+$lang['LCAS_currentPWGConfig_d'] = 'Lorsque la valeur vaut <b style=&quot;color: green;&quot;>true</b>, un utilisateur ne peut pas s\'enregistrer avec un identifiant dont seule la casse serait différente d\'un utilisateur existant.<br>
 La valeur par défaut est <b style=&quot;color: red;&quot;>false</b>.';
 
 
 $lang['LCAS_userlistTitle'] = 'Vérification des utilisateurs';
-$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modififés afin d\'activer cette option.<br/><br/>
-Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br/>
+$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modififés afin d\'activer cette option.<br><br>
+Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br>
 Vous devez modifier l\'un des deux utilisateurs et éventuellement le prévenir avec le lien pour envoyer un email.';
 
+$lang['LCAS_Email_Customization'] = 'Personnalisation de la notification par email';
+$lang['LCAS_Email_Customization_d'] = 'Si vous souhaitez utiliser la notification par email des utilisateurs que vous avez renommés dans le tableau de vérification, vous pouvez personnaliser le texte à envoyer. Utiliser les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
 ?>
Index: /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8256)
+++ /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8257)
@@ -34,6 +34,4 @@
 
 
-$lang['LCAS_Err_Userlist_Settings'] = 'Cette page n\'est accessible que si au moins une option de sensibilité est activée.';
-
 $lang['LCAS_Info_userlist_username_renamed'] = 'Le nom de l\'utilisateur a été mis à jour.';
 $lang['LCAS_Err_Userlist_Empty_New_Username'] = 'Le nom de l\'utilisateur ne peut être vide.';
@@ -49,8 +47,14 @@
 
 
-$lang['LCAS_save_config'] = 'Paramètres enregistrés<br/>Veuillez vérifier les éventuels utilisateurs problématiques dans le tableau ci-dessous';
+$lang['LCAS_save_config'] = 'Paramètres enregistrés<br>Veuillez vérifier les éventuels utilisateurs problématiques dans le tableau ci-dessous';
 
 $lang['submit'] = 'Sauvegarder les paramètres';
 
 $lang['LCAS_accent_error'] = '<br>Le nom d\'utilisateur est également insensible aux accents (e = é = è = ê)!';
+
+$lang['LCAS_warning'] = 'La sensibilité à la casse à l\'enregistrement de Piwigo n\'est pas activé ! Veuillez insérer ou modifier l\'option "$conf[\'insensitive_case_logon\'] = true;" dans votre fichier de configuration local via le plugin LocalFiles Editor.';
+
+$lang['LCAS_MailText'] = 'Personnalisation de la notification par email';
+
+$lang['LCAS_PluginSupport'] = 'Support officiel du plugin';
 ?>
Index: /extensions/LCAS/trunk/maintain.inc.php
===================================================================
--- /extensions/LCAS/trunk/maintain.inc.php	(revision 8256)
+++ /extensions/LCAS/trunk/maintain.inc.php	(revision 8257)
@@ -18,5 +18,5 @@
 	global $conf;
 	
-  $default1 = array('false','false');
+  $default1 = array('false','false','Example customized content of the notification email');
 
   $q = '