Index: /trunk/plugins/admin_multi_view/language/he_IL/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/he_IL/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/he_IL/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+אפשר למנהל ראשי לצפות בגלריה כאורח ו\או לשנות את השפה ו\או לשנות את הערכה. שימושי כדי לאתר באגים...
Index: /trunk/plugins/admin_multi_view/language/he_IL/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/he_IL/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/he_IL/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/hr_HR/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/hr_HR/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/hr_HR/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+Dozvoljava administratorima pregledavanje galerije kao gost korisnik i/ili mijenjanje jezika i/ili teme u letu. Praktično za ispravljanje grešaka kod izmjena...
Index: /trunk/plugins/admin_multi_view/language/hr_HR/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/hr_HR/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/hr_HR/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/ka_GE/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/ka_GE/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/ka_GE/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+საშუალებას აძლევს ადმინისტრატორს ნახოს გალერეა როგორც სტუმარმა და/ან შეცვალოს ენა ან/და თემა. სასარგებლოა გამართვისათვის, შეტანილი ცვლილებების გასწორებისათვის...
Index: /trunk/plugins/admin_multi_view/language/ka_GE/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/ka_GE/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/ka_GE/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/lv_LV/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/lv_LV/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/lv_LV/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+Dod iespēju Administratoriem apskatīt galeriju kā viesim un/vai nomainīt valodu un/vai tēmu ar vienu darbību. Derīgi skaņošanas darbos...
Index: /trunk/plugins/admin_multi_view/language/lv_LV/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/lv_LV/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/lv_LV/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/ru_RU/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/ru_RU/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/ru_RU/description.txt	(revision 8260)
@@ -0,0 +1,3 @@
+Позволяет администраторам просматривать галерею в качестве гостей и / или
+изменить язык и / или тему на "лету". Практично для
+отладки изменения ...
Index: /trunk/plugins/admin_multi_view/language/ru_RU/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/ru_RU/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/ru_RU/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/sk_SK/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/sk_SK/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/sk_SK/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+Umožňuje administrátorom vidieť galériu aho hosťom a/alebo zmeniť jazyk a-alebo šablónu. Prakticky ladiť zmeny...
Index: /trunk/plugins/admin_multi_view/language/sk_SK/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/sk_SK/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/sk_SK/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/tr_TR/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/tr_TR/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/tr_TR/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+Adminlerin galeriye misafir olarak bakmasini kabul et, yada dil veya temayi degis. Ayiklama modunu degistir.
Index: /trunk/plugins/admin_multi_view/language/tr_TR/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/tr_TR/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/tr_TR/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/vi_VN/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/vi_VN/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/vi_VN/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+Cho phép Quản trị viên xem thư viện hình như một tài khoản khách và/hoặc thay đổi ngôn ngữ hiển thị và/hoặc giao diện trong thời gian ghé vào thư viện hình. Rất thiết thực cho việc thay đổi những hiệu chỉnh...
Index: /trunk/plugins/admin_multi_view/language/vi_VN/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/vi_VN/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/vi_VN/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/zh_CN/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/zh_CN/description.txt	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/zh_CN/description.txt	(revision 8260)
@@ -0,0 +1,1 @@
+允许管理员以客人身份查看相册，或者改变语言和主题。部分改变和调试等...
Index: /trunk/plugins/admin_multi_view/language/zh_CN/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/zh_CN/index.php	(revision 8260)
+++ /trunk/plugins/admin_multi_view/language/zh_CN/index.php	(revision 8260)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>