Index: /extensions/user_tags/language/lv_LV/description.txt
===================================================================
--- /extensions/user_tags/language/lv_LV/description.txt	(revision 8267)
+++ /extensions/user_tags/language/lv_LV/description.txt	(revision 8267)
@@ -0,0 +1,1 @@
+Dod iespēju apmeklētājiem pievienot iezīmi (tagu) attēlam
Index: /extensions/user_tags/language/lv_LV/help/index.php
===================================================================
--- /extensions/user_tags/language/lv_LV/help/index.php	(revision 8267)
+++ /extensions/user_tags/language/lv_LV/help/index.php	(revision 8267)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/user_tags/language/lv_LV/help/readme.html
===================================================================
--- /extensions/user_tags/language/lv_LV/help/readme.html	(revision 8267)
+++ /extensions/user_tags/language/lv_LV/help/readme.html	(revision 8267)
@@ -0,0 +1,8 @@
+<h2>Dokumentācija</h2>
+
+<h3>Lietošana</h3>
+<p>Ja lietotājam ir pievienošanas "add" atļauja un, ja uz attēla lapas parādās iezīmes (tagi), viņš var rediģēt attiecīgos tagus noklikšķinot uz "edit" ikonas.</p>
+
+<h3>Atļaujas</h3>
+<p>Atļaujas ir piesaistītas lietotāju statusam (viesis, vispārējs, normāls lietotājs, administrātors, webmāsters). Lietotājs var veikt darbības (pievienot, dzēst), ja viņiem ir augstāks statuss kā nokonfigurētais.</p>
+<p>Lietotāji var dzēst iezīmes (tagus), ko tie pievienojuši pirms formas iesniegšanas, pat ja nevēlaties, lai lietotāji izdzēš attiecīgos saistītos tagus.</p>
Index: /extensions/user_tags/language/lv_LV/index.php
===================================================================
--- /extensions/user_tags/language/lv_LV/index.php	(revision 8267)
+++ /extensions/user_tags/language/lv_LV/index.php	(revision 8267)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/user_tags/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/user_tags/language/lv_LV/plugin.lang.php	(revision 8267)
+++ /extensions/user_tags/language/lv_LV/plugin.lang.php	(revision 8267)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+
+$lang['Click to add tags'] = 'Uzklikšķināt, lai pievienotu tagu';
+$lang['Start to type'] = 'Sākt ievadīt';
+$lang['Update tags'] = 'Atjaunināt tagus';
+$lang['Tags updated'] = 'Tagi ir atjaunināti';
+$lang['Cancel'] = 'Atcelt';
+
+// admin
+$lang['That plugin allow visitors to add tags to image.'] = 'Šis spraudnis dod iespēju apmeklētājiem pievienot iezīmi (tagu) attēlam.';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Jūs varat izvēlēties, kurš lietotājs (pēc statusa) var pievienot un dzēst tagus.';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Esiet uzmanīgi, neatkarīgi no konfigurācijas vērtības, jaunais tags var tikt izdzēsts tik un tā';
+$lang['Who can add tags?'] = 'Kurš var pievienot iezīmes (tagus)?';
+$lang['Who can delete related tags?'] = 'Kurš var dzēst iezīmes (tagus)?';
+
+$lang['Add permission updated'] = 'Pievienot atjaunināto atļauju';
+$lang['Delete permission updated'] = 'Dzēst atjaunināto atļauju';
+?>