Index: /trunk/themes/Sylvia/theme-ie.css
===================================================================
--- /trunk/themes/Sylvia/theme-ie.css	(revision 8268)
+++ /trunk/themes/Sylvia/theme-ie.css	(revision 8269)
@@ -1,3 +1,3 @@
-#content .thumbnailCategory div.description .text {
+#content .thumbnailCategory .description .text {
 	scrollbar-face-color:#222;
 	scrollbar-shadow-color:#444;
Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 8268)
+++ /trunk/themes/Sylvia/theme.css	(revision 8269)
@@ -1,6 +1,6 @@
-.content div.thumbnailCategory div.illustration { 
+.content .thumbnailCategory div.illustration { 
 	width:165px !important; /* Usable range 162px-360px , optimal : Thumbnail width + 40px */ 
 }
-#comments div.thumbnailCategory div.illustration { 
+#comments .thumbnailCategory div.illustration { 
 	width:220px !important; /* Usable range 219px-360px , optimal : Thumbnail width + 95px */ 
 }
@@ -197,5 +197,5 @@
 	padding:0; 
 }
-.content div.thumbnailCategory { 
+.content .thumbnailCategory { 
 	background:transparent url(images/cat_bottom-left.gif) no-repeat scroll left bottom; 
 	padding: 0 0 2px; 
@@ -212,5 +212,5 @@
 	padding:20px 0 0 8px; 
 }
-.content .thumbnailCategory div.description { 
+.content .thumbnailCategory .description { 
 	background:transparent url(images/cat_top-right.gif) no-repeat scroll right top;
 	margin: 0; 
@@ -218,5 +218,5 @@
 	overflow-x: hidden !important; 
 }
-.content .thumbnailCategory div.description .text { 
+.content .thumbnailCategory .description .text { 
 	display:block; 
 	margin:10px 2px 0 0;
@@ -225,9 +225,9 @@
 	padding:0 0 5px; 
 }
-.content div.thumbnailCategory div.description p.dates { 
+.content .thumbnailCategory .description p.dates { 
 	margin: 0 15px 0 15px; 
 	text-align: right; 
 }
-.content .thumbnailCategory div.description H3 { 
+.content .thumbnailCategory .description H3 { 
 	display: block; 
 }
@@ -304,5 +304,5 @@
 #comments ul.actions li, #comments ul.actions li:hover { 
 	background:transparent none;
- 	padding: 0 22px; 
+ 	margin-right: 22px;
 	clear:both; 
 	list-style-type:none; 
@@ -403,10 +403,10 @@
 }
 #theCommentsPage .content ul.thumbnailCategories li,
-#theCommentsPage .content div.thumbnailCategory ,
-#theCommentsPage .content div.thumbnailCategory div.description,
+#theCommentsPage .content .thumbnailCategory ,
+#theCommentsPage .content .thumbnailCategory .description,
 #theCommentsPage .content .thumbnailCategory div.illustration { 
 	background-image: none;
 }
-#theCommentsPage .content div.thumbnailCategory {
+#theCommentsPage .content .thumbnailCategory {
 	padding: 15px 2px 6px 12px; 
 	border: 1px solid #666; 
@@ -422,5 +422,5 @@
 	background-color: transparent; 
 }
-#theCommentsPage div#comments {
+#theCommentsPage #comments {
 	padding: 0 0 5px 10px;
 }
@@ -429,5 +429,5 @@
 }
 
-#the_page .content div.thumbnailCategory div.description {
+#the_page .content .thumbnailCategory .description {
   height:158px;
 }
Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 8268)
+++ /trunk/themes/clear/theme.css	(revision 8269)
@@ -33,5 +33,5 @@
 
 FIELDSET, INPUT, SELECT, TEXTAREA,
-.content DIV.thumbnailCategory {
+.content .thumbnailCategory {
   border: 1px solid gray;
 }
@@ -42,6 +42,6 @@
 
 UL.thumbnails SPAN.wrap2:hover,
-.content UL.thumbnailCategories DIV.thumbnailCategory:hover,
-.content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+.content UL.thumbnailCategories .thumbnailCategory:hover,
+.content UL.thumbnailCategories .thumbnailCategory:hover A {
   background-color: #faebd7;
   border-color: yellow;		/* thumbnails border color when mouse cursor is over it */
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 8268)
+++ /trunk/themes/dark/theme.css	(revision 8269)
@@ -48,5 +48,5 @@
 
 FIELDSET, INPUT, SELECT, TEXTAREA,
-.content DIV.thumbnailCategory {
+.content .thumbnailCategory {
 	border: 1px solid gray;
 }
@@ -57,6 +57,6 @@
 
 UL.thumbnails SPAN.wrap2:hover,
-.content UL.thumbnailCategories DIV.thumbnailCategory:hover,
-.content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+.content UL.thumbnailCategories .thumbnailCategory:hover,
+.content UL.thumbnailCategories .thumbnailCategory:hover A {
 	background-color: #faebd7;
 	border-color: yellow;	/* thumbnails border color when mouse cursor is over it */
Index: /trunk/themes/default/fix-ie5-ie6.css
===================================================================
--- /trunk/themes/default/fix-ie5-ie6.css	(revision 8268)
+++ /trunk/themes/default/fix-ie5-ie6.css	(revision 8269)
@@ -46,5 +46,5 @@
 
 /* fix quickconnect layout */
-FORM#quickconnect FIELDSET {
+#quickconnect FIELDSET {
   width: 99%;	/* correct an ugly 1 or 2 px misalignement with IE */
 }
Index: /trunk/themes/default/fix-khtml.css
===================================================================
--- /trunk/themes/default/fix-khtml.css	(revision 8268)
+++ /trunk/themes/default/fix-khtml.css	(revision 8269)
@@ -1,9 +1,9 @@
 /* Issue in Safari/Konqueror only                                                 */
 /* If H2 has a 0 margin-top categoryActions doesn't float right but overwrites H2 */
-.content>DIV.titrePage>H2 {
+.content>.titrePage>H2 {
     margin: 1px 0 0 0;	/* add an arbitrary margin-top */
 }
 
-.content>div.titrePage {
+.content>.titrePage {
     position: relative;
     top: -1px;		/* move the container up by the same amount */
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 8268)
+++ /trunk/themes/default/theme.css	(revision 8269)
@@ -65,15 +65,15 @@
 
 /* quickconnect form */
-FORM#quickconnect {
+#quickconnect {
 	margin: 5px;
 	padding: 0;
 }
 
-FORM#quickconnect FIELDSET {
+#quickconnect FIELDSET {
 	margin: 0;
 	padding: 0; /*IE6 requires padding 0*/
 }
 
-FORM#quickconnect FIELDSET DIV {
+#quickconnect FIELDSET DIV {
 	margin: 8px 5px;
 	padding: 0;
@@ -118,5 +118,5 @@
 }
 
-.content DIV.titrePage {
+.content .titrePage {
 	padding: 0 0 3px;
 }
@@ -216,5 +216,5 @@
 
 /* Category thumbnails on main page, CSS code inspired from MOD subcatify */
-.content UL.thumbnailCategories {
+UL.thumbnailCategories {
 	margin: 0;
 	padding: 0;
@@ -224,5 +224,5 @@
 }
 
-.content UL.thumbnailCategories LI {
+UL.thumbnailCategories LI {
 	margin:0;
 	padding:0;
@@ -230,5 +230,5 @@
 }
 
-.content DIV.thumbnailCategory {
+.thumbnailCategory {
 	display:block;
 	padding: 2px 0 0 2px;
@@ -236,5 +236,5 @@
 }
 
-.content DIV.thumbnailCategory DIV.description {
+.thumbnailCategory .description {
 	font-size: 90%;
 	overflow: auto;
@@ -242,5 +242,5 @@
 }
 
-.content DIV.thumbnailCategory DIV.description H3 {
+.thumbnailCategory .description H3 {
 	text-align: left;
 	background: transparent;
@@ -250,9 +250,9 @@
 }
 
-.content DIV.thumbnailCategory DIV.description P {
-	margin: 0;
-}
-
-.content DIV.thumbnailCategory DIV.illustration {
+.thumbnailCategory .description P {
+	margin: 0;
+}
+
+.thumbnailCategory DIV.illustration {
 	text-align: left;
 	margin: 2px 0 0 2px;
@@ -262,10 +262,10 @@
 
 /* User comments */
-DIV#comments {
+#comments {
 	padding-left: 5px;
 	padding-right: 5px;
 }
 
-DIV#comments DIV.description {
+#comments .description {
 	font-size: 100%;
 }
@@ -385,6 +385,4 @@
 }
 
-.thumbnailCategories LI { list-style: none; }
-
 .rateButton, .rateButtonSelected, .rateButtonStarFull, .rateButtonStarEmpty  {
 	padding:0;
@@ -677,5 +675,5 @@
 #theHeader {text-align: center;}
 
-.content #comments UL.thumbnailCategories LI { width:99%; }
+#comments UL.thumbnailCategories LI { width:99%; }
 
 /* jQuery datepicker */
@@ -688,9 +686,9 @@
 UL.thumbnails SPAN.wrap2 A,
 UL.thumbnails LABEL,
-.content DIV.thumbnailCategory DIV.illustration {
+.thumbnailCategory DIV.illustration {
   width: 140px;      /* max thumbnail width + 2px */
 }
 UL.thumbnails SPAN.wrap2,
-.content DIV.thumbnailCategory DIV.description {
+.content .thumbnailCategory .description {
   height: 140px;    /* max thumbnail height + 2px */
 }
@@ -698,5 +696,5 @@
 
 /* Category thumbnails on main page */
-.content UL.thumbnailCategories LI {
+UL.thumbnailCategories LI {
   width: 49.7%;    /* 49.7% for 2 per line, 33.2% for 3 per line*/
 }