Index: trunk/language/lv_LV/admin.lang.php
===================================================================
--- trunk/language/lv_LV/admin.lang.php	(revision 8255)
+++ trunk/language/lv_LV/admin.lang.php	(revision 8270)
@@ -24,10 +24,10 @@
 $lang['%d association'] = '%d kopa';
 $lang['%d associations'] = '%d kopas';
-$lang['%d category including'] = '%d kategorija pievienota';
-$lang['%d categories including'] = '%d kategorijas pievienotas';
+$lang['%d album including'] = '%d albūmu ieskaitot';
+$lang['%d albums including'] = '%d albūmus ieskaitot';
 $lang['%d physical'] = ' %d reālas';
 $lang[' and %d virtual'] = ' un %d virtuālas';
-$lang['%d category moved'] = '%d kategorija pārvietota';
-$lang['%d categories moved'] = '%d kategorijas pārvietotas';
+$lang['%d album moved'] = '%d albūms pārvietots';
+$lang['%d albums moved'] = '%d albūmi pārvietoti';
 $lang['%d group'] = '%d grupa';
 $lang['%d groups'] = '%d grupas';
@@ -56,13 +56,13 @@
 $lang['Add'] = 'Pievienot';
 $lang['Allow user registration'] = 'Atļaut reģistrēt lietotāju';
-$lang['Apply to subcategories'] = 'Pielietot apakškategorijām';
+$lang['Apply to sub-albums'] = 'Pielietot apakšalbūmiem';
 $lang['Associated'] = 'Saistītas';
-$lang['Association to categories'] = 'Saistība ar kategorijām';
+$lang['Association to categories'] = 'Saistībā ar albūmiem';
 $lang['Batch management'] = 'Pakešveida apstrāde';
 $lang['Caddie management'] = 'Groza pārvaldīšana';
 $lang['Caddie'] = 'Grozs';
-$lang['Categories authorized thanks to group associations'] = 'Kategorijas, kas atļautas pateicoties saistībai grupu' ;
-$lang['Categories manual order was saved'] = 'Kategoriju sevišķā kārtība saglabāta';
-$lang['Category elements associated to the following categories: %s'] = 'Kategorijas attēli sasaistīti ar sekojošām kategorijām: %s';
+$lang['Albums authorized thanks to group associations'] = 'Albūmi autorizēti dēļ grupu apvienībēm';
+$lang['Album manual order was saved'] = 'Albūmu kārtība saglabāta';
+$lang['Album elements associated to the following albums: %s'] = 'Albūma attēli saistīti ar sekojošiem albūmiem: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Pārbaude pēc uzlabojuma nezināmu iemeslu dēļ nav izdevusies.';
 $lang['Check for upgrade'] = 'Pārbaudīt uzlabojumu';
@@ -102,10 +102,10 @@
 $lang['Informations'] = 'Informācija';
 $lang['Install'] = 'Instalēt';
-$lang['Link all category elements to a new category'] = 'Sasaistīt visus šīs kategorijas elementus ar jauno kategoriju';
-$lang['Link all category elements to some existing categories'] = 'Sasaistīt visus šīs kategorijas elementus ar kādu no esošajām kategorijām';
-$lang['Linked categories'] = 'Saistītās kategorijas';
+$lang['Link all album elements to a new album'] = 'Sasaistīt visus albūma attēlus ar jauno albūmu';
+$lang['Link all album elements to some existing albums'] = 'Sasaistīt visus albūma attēlus ar jau esošajiem albūmiem';
+$lang['Linked albums'] = 'Sasaistītie albūmi';
 $lang['Lock gallery'] = 'Bloķēt galeriju';
 $lang['Maintenance'] = 'Apkope';
-$lang['Manage permissions for a category'] = 'Pārvaldīt kategoriju atļaujas';
+$lang['Edit album permissions'] = 'Pārvaldīt albūma atļaujas';
 $lang['Manage permissions for group "%s"'] = 'Pārvaldīt "%s" grupas atļaujas';
 $lang['Manage permissions for user "%s"'] = 'Pārvaldīt lietotāja "%s" atļaujas';
@@ -113,24 +113,24 @@
 $lang['Members'] = 'Biedri';
 $lang['Metadata synchronized from file'] = 'Metadati no faila sinhronizēti';
-$lang['Move categories'] = 'Pārvietot kategorijas';
+$lang['Move albums'] = 'Pārvietot albūmus';
 $lang['Move'] = 'Pārvietot';
 $lang['Name'] = 'Nosaukums';
 $lang['New name'] = 'Jauns nosaukums';
-$lang['New parent category'] = 'Jauna pirmavota kategorija';
+$lang['New parent album'] = 'Jauns pamatalbūms';
 $lang['New tag'] = 'Jauna iezīme';
 $lang['Number of comments per page'] = 'Komentāru skaits lapā';
 $lang['Number of rates'] = 'Vērtējumu skaits';
 $lang['Number of thumbnails to create'] = 'Izveidojamo piktogrammu skaits';
-$lang['Only private categories are listed'] = 'Tiek rādītas tikai privātās kategorijas';
+$lang['Only private albums are listed'] = 'Tiek rādīti tikai privātie albūmi';
 $lang['Operating system'] = 'Operacionālā sistēma';
 $lang['Options'] = 'Izvēles';
-$lang['Other private categories'] = 'Citas privātās kategorijas';
+$lang['Other private albums'] = 'Citi privātie albūmi';
 $lang['Page banner'] = 'Lapas baneris';
-$lang['Parent category'] = 'Pirmavota kategorija';
+$lang['Parent album'] = 'Pamatalbūms';
 $lang['Path'] = 'Ceļš';
 $lang['Permalink'] = 'Pamatsaite';
-$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Pamatsaiti %s iepriekš izmantoja %s kategorija. vispirms izdzēsiet to no pamatsaišu vēstures';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Pirmsaiti %s iepriekš lietoja albūms %s. Vispirms izdzēsiet to no pirmsašu vēstures';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Pamatsaites nosaukums drīkst saturēt a-z, A-Z, 0-9, "-", "_" or "/". Tas nedrīkst būt tikai skaitlis vai sākties ar ciparu, kam seko "-"';
-$lang['Permalink %s is already used by category %s'] = 'Pamatsaiti %s jau lieto kategorija %s';
+$lang['Permalink %s is already used by album %s'] = 'Pirmsaiti %s jau lieto albūms %s';
 $lang['Permalink history'] = 'Pamatsaišu vēsture';
 $lang['Permalinks'] = 'Pamatsaites';
@@ -150,10 +150,10 @@
 $lang['Reject'] = 'Noraidīt';
 $lang['Representant'] = 'Pārstāvis';
-$lang['Representation of categories'] = 'Kategoriju pārstāvniecība';
+$lang['Representation of albums'] = 'Albūma attēlojums';
 $lang['Representative'] = 'Pārstāvniecisks';
 $lang['Represents'] = 'Pārstāv';
 $lang['Save order'] = 'Saglabāt kārtību';
 $lang['Save to permalink history'] = 'Saglabāt pamatsaišu vēsturē';
-$lang['Select at least one category'] = 'Izvēlēties vismaz vienu kategoriju';
+$lang['Select at least one album'] = 'Izvēlēties vismaz vienu albūmu';
 $lang['Select at least one picture'] = 'Izvēlēties vismaz vienu attēlu';
 $lang['Select at least one user'] = 'Izvēlēties vismaz vienu lietotāju';
@@ -162,5 +162,5 @@
 $lang['Status'] = 'Statuss';
 $lang['Statistics'] = 'Statistika';
-$lang['Storage category'] = 'Glabāšanas kategorija';
+$lang['Storage album'] = 'Albūma uzglabāšana';
 $lang['Sum of rates'] = 'Kopējais novērtējums';
 $lang['Tag "%s" already exists'] = 'Iezīme "%s" jau eksistē';
@@ -178,30 +178,30 @@
 $lang['Validation'] = 'Apstiprināšana';
 $lang['Version'] = 'Versija';
-$lang['Virtual categories movement'] = 'Virtuālo kategoriju pārvietošana';
-$lang['Virtual categories to move'] = 'Pārvietojamās virtuālās kategorijas';
-$lang['Virtual category name'] = 'Virtuālās kategorijas nosaukums';
+$lang['Virtual categories movement'] = 'Virtuālo albūmu kustība';
+$lang['Virtual albums to move'] = 'Virtuālie albūmi pārvietošanai';
+$lang['Virtual album name'] = 'Virtuālā albūma nosaukums';
 $lang['Webmaster cannot be deleted'] = 'Webmasteru izdzēst nevar';
 $lang['You are running on development sources, no check possible.'] = 'Jūs darbojaties izstrādes režīmā, pārbaude nav iespējama.';
 $lang['You cannot delete your account'] = 'Jūs nevarat izdzēst savu kontu';
-$lang['You cannot move a category in its own sub category'] = 'Jūs nevarat pārvietot kategoriju pašas apakškategorijā';
+$lang['You cannot move an album in its own sub album'] = 'Nevar pārvietot albūmu savā apakšalbūmā';
 $lang['You need to confirm deletion'] = 'Jums jāapstiprina izdzēšana';
 $lang['add tags'] = 'pievienot iezīmes';
 $lang['Adviser'] = 'Palīgs';
-$lang['associate to category'] = 'saistīt ar kategoriju';
+$lang['Associate to album'] = 'sasaistīt ar albūmu';
 $lang['associate to group'] = 'saistīt ar grupu';
 $lang['Authorized'] = 'Atļauts';
-$lang['Add a virtual category'] = 'Pievienot virtuālu kategoriju';
-$lang['Authorize users to add comments on selected categories'] = 'Atļaut lietotājiem pievienot komentārus izvēlētajām kategorijām';
-$lang['The name of a category should not be empty'] = 'Kategorijas nosaukums nedrīkst būt tukšs';
-$lang['Lock categories'] = 'Bloķēt kategorijas';
-$lang['Private category'] = 'Privāta kategorija';
-$lang['Public category'] = 'Publiska kategorija';
+$lang['Add a virtual album'] = 'Pievienot virtuālo albūmu';
+$lang['Authorize users to add comments on selected albums'] = 'Atļaut lietotājiem pievienot komentārus izvēlētajiem albūmiem';
+$lang['The name of an album must not be empty'] = 'Albūma nosaukums nedrīkst būt tukšs';
+$lang['Lock albums'] = 'Boķēt albūmus';
+$lang['Private'] = 'Privāts albūms';
+$lang['Public'] = 'Publiska albūms';
 $lang['Find a new representant by random'] = 'Atrast jaunu pārstāvi nejauši';
 $lang['Public / Private'] = 'Publisks / Privāts';
-$lang['Manage authorizations for selected categories'] = 'Pārvaldīt izvēlēto kategoriju autorizāciju';
-$lang['Select uploadable categories'] = 'Izvēlēties kategorijas, kurās var augšupielādēt';
-$lang['Virtual category added'] = 'Pievienota virtuāla kategorija';
-$lang['Virtual category deleted'] = 'Virtuāla kategorija izdzēsta';
-$lang['Category'] = 'Kategorija';
+$lang['Manage authorizations for selected albums'] = 'Pārvaldīt izvēlēto albūmu autorizācijas';
+$lang['Select uploadable albums'] = 'Atlasīt augšuplādējamos albūmus';
+$lang['Virtual album added'] = 'Virtuālais albūms pievienots';
+$lang['Virtual album deleted'] = 'Virtuālais albūms izdzēsts';
+$lang['Album'] = 'Albūms';
 $lang['Access type'] = 'Piekļuves tips';
 $lang['Comments'] = 'Komentāri';
@@ -214,9 +214,9 @@
 $lang['confirm'] = 'apstiprinājums';
 $lang['Date'] = 'Datums';
-$lang['delete category'] = 'izdzēst kategoriju';
-$lang['dissociate from category'] = 'atsaistīt no kategorijas';
+$lang['delete album'] = 'dzēst albūmu';
+$lang['Dissociate from album'] = 'atsaistīt no albūma';
 $lang['dissociate from group'] = 'atsaistīt no grupas';
-$lang['edit category permissions'] = 'rediģēt kategorijas atļaujas';
-$lang['Category informations updated successfully.'] = 'Informācija par kategoriju atjaunota sekmīgi.';
+$lang['edit album permissions'] = 'rediģēt piekļuves atļaujas albūmam';
+$lang['Album updated successfully'] = 'Informācija par albūmu veiksmīgi atjaunota.';
 $lang['Authorize upload'] = 'Atļaut augšupielādi';
 $lang['elements per page'] = 'elementu skaits lapā';
@@ -235,11 +235,11 @@
 $lang['This name is already used by another group.'] = 'Šo vārdu jau lieto cita grupa.';
 $lang['High definition'] = 'Augsta izšķirtspēja';
-$lang['jump to category'] = 'pāriet uz kategoriju';
+$lang['jump to album'] = 'pāriet uz albūmu';
 $lang['jump to image'] = 'pāriet uz attēlu';
 $lang['leave'] = 'atstāt';
 $lang['Lock'] = 'Bloķēt';
 $lang['Locked'] = 'Bloķēts';
-$lang['manage category elements'] = 'Pārvaldīt kategorijas attēlus';
-$lang['manage sub-categories'] = 'Pārvaldīt apakškategorijas';
+$lang['manage album elements'] = 'Pārvaldīt albūma attēlus';
+$lang['manage sub-albums'] = 'Pārvaldīt apakšalbūmus';
 $lang['Manage'] = 'Pārvaldīt';
 $lang['maximum height'] = 'Maksimālais augstums';
@@ -351,13 +351,13 @@
 $lang['status'] = 'statuss';
 $lang['Directory'] = 'Direktorija';
-$lang['sub-categories'] = 'apakškategorijas';
+$lang['sub-albums'] = 'apakšalbūmi';
 $lang['synchronize metadata'] = 'sinhronizēt metadatus';
 $lang['target'] = 'mērķis';
 $lang['Thumbnail'] = 'Piktogramma';
 $lang['title'] = 'nosaukums';
-$lang['Categories management'] = 'Pārvaldīt kategorijas';
+$lang['Album list management'] = 'Albūmu pārvaldīšana';
 $lang['Piwigo configuration'] = 'Piwigo konfigurācija';
 $lang['Piwigo administration'] = 'Piwigo administrēšana';
-$lang['Edit a category'] = 'Rediģēt kategoriju';
+$lang['Edit album'] = 'Rediģēt albūmu';
 $lang['Group management'] = 'Pārvaldīt grupas';
 $lang['User list'] = 'Lietotāju saraksts';
@@ -387,10 +387,10 @@
 $lang['Unlocked'] = 'Atbloķēt';
 $lang['unset'] = 'notīrīt';
-$lang['Update categories informations'] = 'Atjaunināt informāciju par kategorijām';
+$lang['Update albums informations'] = 'Atjaunot albūma informāciju';
 $lang['Update images informations'] = 'Atjaunināt informāciju par attēliem';
 $lang['Synchronize'] = 'Sinhrinizēšana';
-$lang['reduce to single existing categories'] = 'pārbaudīt tikai esošo kategoriju';
+$lang['reduce to single existing albums'] = 'samazināt līdz vienam esošam albūmam';
 $lang['Choose an option'] = 'Izvēlieties iespēju';
-$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'parādīt maksimāli daudz informācijas (pievienotās kategorijas un attēlus, izdēstās kategorijas un attēlus)';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'attēlot maksimālo informāciju (pievienotie albūmi un elementi, izdzēstie albūmi un elementi)';
 $lang['Piwigo version differs on the remote site'] = 'Piwigo versija uz attālinātās web lapas atšķiras';
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Faila create_listing_file.php versijām uz attālinātās web lapas un Piwigo ir jāsakrīt';
@@ -402,12 +402,12 @@
 $lang['File/directory read error'] = 'Faila/mapes lasīšanas kļūda';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Nav piekļuves failam vai mapei (vai nu neeksistē vai piekļuve liegta)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'šī attēla tipa failiem nepieciešama piktogramma. Piktogrammām jāatrodas apakšdirektorijā "thumbnail" kategorijas mapē. Piktogrammas faila nosaukuma jāsākas ar konfigurācijas failā norādīto prefiksu un paplašinājumam jābūt vienam no sarakstā esošajiem:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'šī attēla tipa failiem nepieciešama piktogramma. Piktogrammām jāatrodas apakšdirektorijā "thumbnail" kategorijas mapē. Piktogrammas faila nosaukuma jāsākas ar konfigurācijas failā norādīto prefiksu un paplašinājumam jābūt vienam no sarakstā esošajiem:';
 $lang['missing thumbnail'] = 'iztrūkst piktogramma';
-$lang['categories deleted in the database'] = 'no datu bāzes izdzēstas kategorijas';
+$lang['albums deleted in the database'] = 'no datu bāzes izdzēsti albūmi';
 $lang['elements deleted in the database'] = 'no datu bāzes izdzēsti elementi';
 $lang['images candidates for metadata synchronization'] = 'attēli, lai sinhronizētu metadatus';
 $lang['elements informations synchronized with files metadata'] = 'informācija par elementiem sinhronizēta ar metadatiem';
 $lang['errors during synchronization'] = 'kļūdas sinhronizācijas laikā';
-$lang['categories added in the database'] = 'kategoriju pievienots datu bāzei';
+$lang['albums added in the database'] = 'datu bāzei pievienoti albūmi';
 $lang['elements added in the database'] = 'elementu pievienots datu bāzei';
 $lang['elements updated in the database'] = 'elementi atjaunināti datu bāzē';
@@ -433,5 +433,5 @@
 $lang['user_status_normal'] = 'Lietotājs';
 $lang['user_status_webmaster'] = 'Webmāsters';
-$lang['Virtual category'] = 'Virtuālā kategorija';
+$lang['Virtual album'] = 'Virtuālais albūms';
 $lang['Waiting'] = 'Gaidīšana';
 $lang['default'] = 'pēc noklusējuma';
@@ -440,5 +440,5 @@
 $lang['Not linked elements'] = 'Nesaistītie elementi';
 $lang['Specials'] = 'Īpašās funkcijas';
-$lang['Files with same name in more than one physical category'] = 'Vienāda nosaukuma faili dažādās mapēs';
+$lang['Files with same name in more than one physical album'] = 'Vienādi failu nosaukumi vairāk kā vienā eksistējošā albūmā';
 $lang['Overall'] = 'Visa';
 $lang['Year'] = 'Gads';
@@ -458,8 +458,8 @@
 $lang['Send an information email to group members'] = 'Nosūtīt informējošu e-pastu grupas biedriem';
 $lang['Group'] = 'Grupa';
-$lang['[%s] Come to visit the category %s'] = '[%s] Apmeklējiet kategoriju %s';
+$lang['[%s] Visit album %s'] = '[%s] Apciemo albūmu %s';
 $lang['Hello,'] = 'Sveiki,';
 $lang['See you soon.'] = 'Uz redzēšanos.';
-$lang['Come to discover the category:'] = 'Apmeklējiet kategoriju:';
+$lang['Discover album:'] = 'Atklāj albūmu:';
 $lang['Mail content'] = 'Pasta saturs';
 $lang['none'] = 'neviens';
@@ -585,5 +585,5 @@
 $lang['Optimizations have been completed with some errors.'] = 'Uzlabojumi veikti ar dažām kļūdām.';
 $lang['Modify information'] = 'Modificēt informāciju';
-$lang['edit category informations'] = 'rediģēt kategoriju';
+$lang['edit album'] = 'rediģēt šī albūma informāciju';
 $lang['nothing'] = 'nekas';
 $lang['overrides existing values with empty ones'] = 'pārrakstīt esošās vērtības ar tukšām';
@@ -591,5 +591,5 @@
 $lang['Manage image ranks'] = 'Pārvaldīt attēlu kārtību';
 $lang['Edit ranks'] = 'Rediģēt kārtību';
-$lang['No element in this category'] = 'Šī kategorija ir tukša';
+$lang['No element in this album'] = 'Nav neviena elementa šinī albūmā';
 $lang['Images manual order was saved'] = 'Attēlu kārtība saglabāta';
 $lang['ranks'] = 'kārtība';
@@ -633,16 +633,16 @@
 $lang['unknown'] = 'nezināms';
 $lang['Upload Photos'] = 'Augšupielādēt attēlus';
-$lang['Drop into category'] = 'Pārvietot kategorijā';
+$lang['Drop into album'] = 'Ievietot albūmā';
 $lang['+ Add an upload box'] = '+ Pievienot augšupielādes lauku';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Izveidot "%s" mapi jūsu instalētajā Piwigo saknes mapē';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Piešķirt rakstīšanas tiesības (chmod 777) "%s" mapei jūsu instalētajā Piwigo saknes mapē';
-$lang['existing category'] = 'esoša kategorija';
-$lang['create a new category'] = 'izveidot jaunu kategoriju';
-$lang['Category name'] = 'Kategorijas nosaukums';
-$lang['Category "%s" has been added'] = 'Pievienota "%s" kategorija';
+$lang['existing album'] = 'esošs albūms';
+$lang['create a new album'] = 'izveidot jaunu albūmu';
+$lang['Album name'] = 'Albūma nosaukums';
+$lang['Album "%s" has been added'] = 'Pievienota "%s" kategorija';
 $lang['Uploaded Photos'] = 'Augšupielādētie attēli';
 $lang['%d photos uploaded'] = '%d ielādēti attēli';
 $lang['Privacy level set to "%s"'] = 'Iestatīt piekļuves līmeni "%s"';
-$lang['Category "%s" now contains %d photos'] = 'Kategorijā "%s" ir %d attēli';
+$lang['Album "%s" now contains %d photos'] = 'Kategorijā "%s" ir %d attēli';
 $lang['Manage this set of %d photos'] = 'Rediģēt šo %d attēlu kopumu.';
 $lang['Select files'] = 'Izvēlēties failus';
@@ -671,6 +671,6 @@
 $lang['Add write access to the "%s" directory'] = 'Pievienot rakstīšanas tiesības mapei "%s"';
 $lang['Administration Home'] = 'Vadības panelis';
-$lang['Categories ordered alphanumerically'] = 'Kategorijas sakārtotas pēc alfabēta';
-$lang['Categories ordered alphanumerically reverse'] = 'Kategorijas sakārtotas pēc alfabēta';
+$lang['Categories ordered alphanumerically'] = 'Albūmi sakārtoti alfabētiskā secībā';
+$lang['Categories ordered alphanumerically reverse'] = 'Albūmi sakārtoti anti albabētiskā secībā';
 $lang['Change Admin Colors'] = 'Izmainīt vadības paneļa krāsas';
 $lang['Delete this theme'] = 'Dzēst šo tēmu';
Index: trunk/language/lv_LV/common.lang.php
===================================================================
--- trunk/language/lv_LV/common.lang.php	(revision 8255)
+++ trunk/language/lv_LV/common.lang.php	(revision 8270)
@@ -31,6 +31,6 @@
 $lang['%.2f (rated %d times)'] = '%.2f (nobalsots %d reizes)';
 $lang['%d Kb'] = '%d Kb';
-$lang['%d category updated'] = "%d kategorija atjaunota";
-$lang['%d categories updated'] = "%d kategorijas atjaunotas";
+$lang['%d album updated'] = '%d albūms album atjaunināts';
+$lang['%d albums updated'] = '%d albūmi atjaunināti';
 $lang['%d comment to validate'] = "%d apstiprināt komentārus";
 $lang['%d comments to validate'] = "%d apstiprināt komentarus";
@@ -54,6 +54,6 @@
 $lang['Author'] = "Autors";
 $lang['Average rate'] = "Vidējais novērtejums";
-$lang['Categories'] = "Kategorijas";
-$lang['Category'] = "Kategorija";
+$lang['Albums'] = 'Albūmi';
+$lang['Album'] = 'Albūms';
 $lang['Close this window'] = "Aizveriet šo logu";
 $lang['Complete RSS feed (images, comments)'] = "Pabeidziet RSS padevi (attēli, komentāri)";
@@ -117,5 +117,5 @@
 $lang['Tag'] = "Tags";
 $lang['Tags'] = "Tagi";
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = "RSS informē par jaunumiem no šis vietnes: jauni attēli, atjauninātas kategorijas, jauni komentāri. Lietojami ar RSS piegades lasītāju.";
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'RSS nodrošina informāciju par jauniem notikumiem uz šīs web lapas: jauni attēli, atjaunināti albūmi, jauni komentāri. Lietojam ar RSS info lasītāju.';
 $lang['Unknown feed identifier'] = "Nezināms piegādes identifikators";
 $lang['User comments'] = "Lietotāja komentāri";
@@ -133,5 +133,5 @@
 $lang['ascending'] = "augšupejošs";
 $lang['author(s) : %s'] = "autors(i) : %s";
-$lang['Expand all categories'] = "Izvērst visas kategorijas";
+$lang['Expand all albums'] = 'Izvērst visus albūmus';
 $lang['posted after %s (%s)'] = "ievietots pēc %s (%s)";
 $lang['posted before %s (%s)'] = "ievietots pirms %s (%s)";
@@ -189,5 +189,5 @@
 $lang['Hello'] = "Sveiki";
 $lang['available for administrators only'] = "pieeja tikai administratoriem";
-$lang['shows images at the root of this category'] = "parādīt attēlus no pamatkataloga";
+$lang['shows images at the root of this album'] = ' parāda attēlus šī albūma pamatmapē';
 $lang['See last users comments'] = "Apskatīt pēdējos lietotāju komentārus";
 $lang['customize the appareance of the gallery'] = "pielāgot galerijas izskatu";
@@ -195,7 +195,7 @@
 $lang['Home'] = "Sākums";
 $lang['Identification'] = "Identifikācija";
-$lang['in this category'] = "šajā kategorijā";
-$lang['in %d sub-category'] = "%d apakškategorijā";
-$lang['in %d sub-categories'] = "%d apakškategorijās";
+$lang['in this album'] = 'šajā albūmā';
+$lang['in %d sub-album'] = '%d apakšalbūmā';
+$lang['in %d sub-albums'] = '%d apakšalbūmos';
 $lang['included'] = "iekļauts";
 $lang['Invalid password!'] = "Nepareiza parole!";
@@ -211,5 +211,5 @@
 $lang['Maximum width must be a number superior to 50'] = "Maksimālajam platumam jābūt lielākam par 50";
 $lang['display a calendar by creation date'] = "rāda kalendārā izveides datumu";
-$lang['display all elements in all sub-categories'] = "parādīt attēlus visās apakškategorijās";
+$lang['display all elements in all sub-albums'] = 'rādīt visus elementus visos albūmos un apakšalbūmos';
 $lang['return to normal view mode'] = "atgriezties normālajā apskates režīmā";
 $lang['display a calendar by posted date'] = "rāda kalendārā iesniegšanas datumu";
@@ -249,6 +249,6 @@
 $lang['Random pictures'] = "Gadījuma attēli";
 $lang['display a set of random pictures'] = "attēlot gadījuma attēlus";
-$lang['Recent categories'] = "Jaunās kategorijas";
-$lang['display recently updated categories'] = "parādīt atjaunotās kategorijas";
+$lang['Recent albums'] = 'Jaunākie albūmi';
+$lang['display recently updated albums'] = 'parādīt jaunākos atjauninātos albūmus';
 $lang['Recent period'] = "Jauninājumu periods";
 $lang['Recent pictures'] = "Jaunie attēli";
@@ -266,5 +266,5 @@
 $lang['return to homepage'] = "atgriezties mājas lapā";
 $lang['Search for Author'] = "Meklēšana pēc autora";
-$lang['Search in Categories'] = "Meklēšana pēc kategorijām";
+$lang['Search in albums'] = 'Meklēt albūmos';
 $lang['Search by Date'] = "Meklēšana pēc datuma";
 $lang['Date'] = "Datums";
@@ -277,8 +277,8 @@
 $lang['Search Options'] = "Meklēšanas varianti";
 $lang['Search results'] = "Meklēšanas rezultāti";
-$lang['Search in subcategories'] = "Meklēt apakškategorijās";
+$lang['Search in sub-albums'] = 'Meklēt apakšalbūmos';
 $lang['searched words : %s'] = "meklējamie vārdi : %s";
 $lang['Contact'] = "Kontakts";
-$lang['set as category representative'] = "iestatīt kā kategorijas pārstāvi";
+$lang['set as album representative'] = 'iestatīt kā albūma pārstāvi';
 $lang['Show number of comments'] = "Parādīt komentāru skaitu";
 $lang['Show number of hits'] = "Parādīt apskates skaitu";
@@ -322,5 +322,5 @@
 $lang['Admin: %s'] = "Admins: %s";
 $lang['Registration of %s'] = "Reģistrācija %s";
-$lang['Category: %s'] = "Kategorija: %s";
+$lang['Album: %s'] = 'Albūms: %s';
 $lang['Picture name: %s'] = "Attēla vārds: %s";
 $lang['Creation date: %s'] = "Izveides datums: %s";
@@ -330,5 +330,5 @@
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrātors, webmāsters un īpašais lietotājs var izmantot šo metodi';
 $lang['a user use already this mail address'] = "cits lietotājs jau lieto šo pasta adresi";
-$lang['Category results for'] = "Kategoriju rezultāti priekš";
+$lang['Album results for'] = 'Albūma rezultāti priekš';
 $lang['Tag results for'] = "Tagu rezultāti priekš";
 $lang['from %s to %s'] = "no %s līdz %s";
Index: trunk/language/lv_LV/upgrade.lang.php
===================================================================
--- trunk/language/lv_LV/upgrade.lang.php	(revision 8255)
+++ trunk/language/lv_LV/upgrade.lang.php	(revision 8270)
@@ -36,5 +36,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Uzlabojumu var veikt tikai administrators: lūdzu veiciet pierakstīšanos zemāk.";
 $lang['You do not have access rights to run upgrade'] = "Jums nav pieejas tiesību, lai veiktu uzlabojumu";
-$lang['All sub-categories of private categories become private'] = "Visas privāto kategoriju apakškategorijas kļūst privātas";
+$lang['All sub-albums of private albums become private'] = 'Visi privātā albūma apakšalbūmi kļūst privāti';
 $lang['User permissions and group permissions have been erased'] = "Lietotāju un grupu piekļuves tiesības ir izdzēstas";
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = "No iepriekšējās konfigurācijas ir saglabāti tikai sīkbilžu prefiksi un webmāstera e-pasta adreses";